//
// SearchFaceResult.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct SearchFaceResult: Codable {

    public var streamserverId: UUID
    public var streamId: UUID
    public var objectId: UUID
    public var eventId: UUID
    public var eventAction: String
    public var ts: Int
    public var eventData: FaceEventData
    public var eventType: String
    public var similarity: Decimal

    public init(streamserverId: UUID, streamId: UUID, objectId: UUID, eventId: UUID, eventAction: String, ts: Int, eventData: FaceEventData, eventType: String, similarity: Decimal) {
        self.streamserverId = streamserverId
        self.streamId = streamId
        self.objectId = objectId
        self.eventId = eventId
        self.eventAction = eventAction
        self.ts = ts
        self.eventData = eventData
        self.eventType = eventType
        self.similarity = similarity
    }

    public enum CodingKeys: String, CodingKey { 
        case streamserverId = "streamserver_id"
        case streamId = "stream_id"
        case objectId = "object_id"
        case eventId = "event_id"
        case eventAction = "event_action"
        case ts
        case eventData = "event_data"
        case eventType = "event_type"
        case similarity
    }

}
